<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.sing.active.mapper.ActiveRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="activeRecordResultMap" type="org.springblade.sing.active.entity.ActiveRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="title" property="title"/>
        <result column="img_url" property="imgUrl"/>
        <result column="video_url" property="videoUrl"/>
        <result column="ticket_count" property="ticketCount"/>
        <result column="point_count" property="pointCount"/>
        <result column="content" property="content"/>
    </resultMap>


    <select id="selectActiveRecordPage" resultMap="activeRecordResultMap">
        select * from sing_active_record where is_deleted = 0
    </select>

</mapper>
